package com.ruoyi.system.domain.projectV2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_审核期限_配置对象 zsyz_shqx_pz
 * 
 * @author ruoyi
 * @date 2023-02-27
 */
public class ZsyzShqxPz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 首谈审核期限 */
    @Excel(name = "首谈审核期限")
    private String stshqx;

    /** 要素部门审核期限 */
    @Excel(name = "要素部门审核期限")
    private String ysbmshqx;

    /** 承接地承接期限 */
    @Excel(name = "承接地承接期限")
    private String cjdcjqx;

    /** 签约信息录入期限 */
    @Excel(name = "签约信息录入期限")
    private String qylrqx;

    /** 签约信息审核期限 */
    @Excel(name = "签约信息审核期限")
    private String qyshqx;

    /** 开工信息录入期限 */
    @Excel(name = "开工信息录入期限")
    private String kglrqx;

    /** 开工信息审核期限 */
    @Excel(name = "开工信息审核期限")
    private String kgshqx;

    /** 投产信息录入期限 */
    @Excel(name = "投产信息录入期限")
    private String tclrqx;

    /** 投产信息审核期限 */
    @Excel(name = "投产信息审核期限")
    private String tcshqx;

    /** 类型（1：黄牌，2：红牌） */
    @Excel(name = "类型", readConverterExp = "1=：黄牌，2：红牌")
    private String type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStshqx(String stshqx) 
    {
        this.stshqx = stshqx;
    }

    public String getStshqx() 
    {
        return stshqx;
    }
    public void setYsbmshqx(String ysbmshqx) 
    {
        this.ysbmshqx = ysbmshqx;
    }

    public String getYsbmshqx() 
    {
        return ysbmshqx;
    }
    public void setCjdcjqx(String cjdcjqx) 
    {
        this.cjdcjqx = cjdcjqx;
    }

    public String getCjdcjqx() 
    {
        return cjdcjqx;
    }
    public void setQylrqx(String qylrqx) 
    {
        this.qylrqx = qylrqx;
    }

    public String getQylrqx() 
    {
        return qylrqx;
    }
    public void setQyshqx(String qyshqx) 
    {
        this.qyshqx = qyshqx;
    }

    public String getQyshqx() 
    {
        return qyshqx;
    }
    public void setKglrqx(String kglrqx) 
    {
        this.kglrqx = kglrqx;
    }

    public String getKglrqx() 
    {
        return kglrqx;
    }
    public void setKgshqx(String kgshqx) 
    {
        this.kgshqx = kgshqx;
    }

    public String getKgshqx() 
    {
        return kgshqx;
    }
    public void setTclrqx(String tclrqx) 
    {
        this.tclrqx = tclrqx;
    }

    public String getTclrqx() 
    {
        return tclrqx;
    }
    public void setTcshqx(String tcshqx) 
    {
        this.tcshqx = tcshqx;
    }

    public String getTcshqx() 
    {
        return tcshqx;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stshqx", getStshqx())
            .append("ysbmshqx", getYsbmshqx())
            .append("cjdcjqx", getCjdcjqx())
            .append("qylrqx", getQylrqx())
            .append("qyshqx", getQyshqx())
            .append("kglrqx", getKglrqx())
            .append("kgshqx", getKgshqx())
            .append("tclrqx", getTclrqx())
            .append("tcshqx", getTcshqx())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
